Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
heaps_header Struct Reference

## Data Fields
struct heaps_slot * | base
uintptr_t * | bits
RVALUE * | start
RVALUE * | end
size_t | limit

## Detailed Description

Definition at line 171 of file gc.c.

## Field Documentation

struct heaps_slot* heaps_header::base

Definition at line 172 of file gc.c.

Referenced by assign_heap_slot().

uintptr_t* heaps_header::bits

Definition at line 173 of file gc.c.

Referenced by assign_heap_slot(), free_unused_heaps(), and rb_objspace_free().

RVALUE* heaps_header::end

Definition at line 175 of file gc.c.

Referenced by assign_heap_slot(), is_pointer_to_heap(), and is_swept_object().

size_t heaps_header::limit

Definition at line 176 of file gc.c.

Referenced by assign_heap_slot(), count_objects(), finalize_list(), free_unused_heaps(), objspace_each_objects(), rb_objspace_call_finalizer(), and slot_sweep().

RVALUE* heaps_header::start

Definition at line 174 of file gc.c.

Referenced by assign_heap_slot(), count_objects(), is_pointer_to_heap(), is_swept_object(), objspace_each_objects(), rb_objspace_call_finalizer(), and slot_sweep().

The documentation for this struct was generated from the following file:

- gc.c